Axiomatic

Notifications

In-app notifications delivered in real-time via Pusher and persisted in the database. Supports read/unread state management.

List notifications for the current user

GET
/api/notifications
x-api-key<token>

API key for programmatic access

In: header

Query Parameters

limit?integer
Default20
unreadOnly?boolean

Response Body

application/json

application/json

curl -X GET "https://app.axiomatic.software/api/notifications"
[
  {}
]
{
  "error": "string"
}

Mark notifications as read

POST
/api/notifications
x-api-key<token>

API key for programmatic access

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://app.axiomatic.software/api/notifications" \  -H "Content-Type: application/json" \  -d '{}'
{}
{
  "error": "string"
}